Patch #28929

Update roadie-rails to ~> 1.3.0

Added by Pavel Rosický 6 months ago. Updated 6 months ago.

Status:ClosedStart date:
Priority:NormalDue date:
Assignee:Go MAEDA% Done:

0%

Category:Gems support
Target version:4.0.0

Description

1.3.0
Dropped support for Rubunius and JRuby.
They do not have many users and are a constant source of problems. If this is a problem for you, let me know and I might reconsider.
Add support for Rails 5.2.

https://github.com/Mange/roadie-rails/blob/master/Changelog.md

Gemfile.patch Magnifier (378 Bytes) Pavel Rosický, 2018-06-01 22:06


Related issues

Related to Redmine - Feature #25807: Upgrade to roadie-rails 1.2 Closed
Related to Redmine - Feature #23630: Migrate to Rails 5.2 Closed

Associated revisions

Revision 17355
Added by Go MAEDA 6 months ago

Update roadie-rails to ~> 1.3.0 (#28929).

Patch by Pavel Rosický.

History

#1 Updated by Go MAEDA 6 months ago

#2 Updated by Go MAEDA 6 months ago

Pavel Rosický wrote:

Dropped support for Rubunius and JRuby.
They do not have many users and are a constant source of problems. If this is a problem for you, let me know and I might reconsider.

I think there is no problem because Redmine does not support both Rubinius and JRuby.

#3 Updated by Go MAEDA 6 months ago

#4 Updated by Go MAEDA 6 months ago

  • Subject changed from [Rails 5.2] update roadie-rails to ~> 1.3.0 to Update roadie-rails to ~> 1.3.0
  • Status changed from New to Closed
  • Assignee set to Go MAEDA
  • Target version set to 4.0.0

Committed. Thank you for your contribution.

#5 Updated by Go MAEDA 6 months ago

#6 Updated by Go MAEDA 6 months ago

Also available in: Atom PDF